--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

	-- WF.core.self_test
local WFAsyncTestCase = require 'WFAsyncTestCase'

	-- WF.core.rxlua
local WFRxTestCase = require 'WFRxTestCase'

	-- Lrmobile_models
local LrmCatalogTestHelper = require 'LrmCatalogTestHelper'	

--------------------------------------------------------------------------------

local LrmCatalogDebugTest = {}

local catalog

--------------------------------------------------------------------------------

function LrmCatalogDebugTest.setUp()

	
end

--------------------------------------------------------------------------------

function LrmCatalogDebugTest.tearDown()

	if catalog then
		
		catalog:close()
		
	end
	
end

--------------------------------------------------------------------------------

function LrmCatalogDebugTest.XXXtestPhysicalCatalog( test )

	local docStorePath = ''
	
	catalog = LrmCatalogTestHelper.makeCatalogService( nil, docStorePath )
	
	WFAsyncTestCase( test, 100 )
	
		:waitFor( function()
		
			return catalog:indexStore():queryP( 'SELECT docId FROM missingBinariesOnOz' )
			
		end )
		
		:continueWhenValueMatches( 'data', {} )
		
end

--------------------------------------------------------------------------------

function LrmCatalogDebugTest.XXXrxTestPhysicalCatalog( rxTest )

	local docStorePath = ''
	
	catalog = LrmCatalogTestHelper.makeCatalogService( nil, docStorePath )
			
end


--------------------------------------------------------------------------------

return WFRxTestCase.wrapSuite( LrmCatalogDebugTest )

